
Infrastructure - Bug #2442

Invalid error response from GMN for describe()

2012-03-06 03:51 - Dave Vieglais

Status: Closed Start date: 2012-03-06

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Calling describe() on a non-existent object on gmn-dev causes an error response that does not include the expected headers.

e.g.:

curl -k -I "https://gmn-dev.test.dataone.org/mn/v1/object/JUNK"

HTTP/1.1 500 INTERNAL SERVER ERROR

Date: Tue, 06 Mar 2012 03:49:09 GMT

Server: Apache/2.2.14 (Ubuntu)

Vary: Accept-Encoding

Connection: close

Content-Type: text/html

History

#1 - 2012-03-16 02:33 - Dave Vieglais

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.11-Block.2.2

- Position set to 3

#2 - 2012-03-28 03:17 - Roger Dahl

- Status changed from New to Closed
